// RGB data structure
struct RGB {
  uint8_t red;
  uint8_t green;
  uint8_t blue;
};

// States of the two pushbuttons
enum BUTTON_STATE {
  NEITHER, PLUS, MINUS, BOTH
};

BUTTON_STATE readButtonState();

// Clock operational state
enum CLOCK_STATE {
  DISPATCH, EVENT10, EVENT15, EVENT30, SETTING, RUNNING
};

